osgShadow::ProjectionShadowMap< MinimalBoundsBaseClass, ShadowProjectionAlgorithmClass >::ViewData Struct Reference

`#include <ProjectionShadowMap>`

Inheritance diagram for osgShadow::ProjectionShadowMap< MinimalBoundsBaseClass, ShadowProjectionAlgorithmClass >::ViewData:

## Public Member Functions

virtual void | frameShadowCastingCamera (const osg::Camera *cameraMain, osg::Camera *cameraShadow, int pass=1)

## Member Function Documentation

## frameShadowCastingCamera()

template<typename MinimalBoundsBaseClass, typename ShadowProjectionAlgorithmClass>

virtual void osgShadow::ProjectionShadowMap< MinimalBoundsBaseClass, ShadowProjectionAlgorithmClass >::ViewData::frameShadowCastingCamera | ( | const osg::Camera * | cameraMain,
|  | osg::Camera * | cameraShadow,
|  | int | pass = 1 )

inline virtual

The documentation for this struct was generated from the following file:

- ProjectionShadowMap